Loading...
Searching...
No Matches
pdumodel::Inlet::MetaData Struct Reference

Inlet metadata More...

`import "Inlet.idl";`

## Public Attributes

string | label
| Inlet label
string | plugType
| Plug type.
Nameplate | namePlate
| Nameplate information
Rating | rating
| Numerical usage ratings.
boolean | hasWaveformSupport
| Whether waveform reading is supported on this inlet.
boolean | isDC
| Current type, `true` for DC, `false` for AC.

## Detailed Description

Inlet metadata

Definition at line 25 of file Inlet.idl.

## Member Data Documentation

## hasWaveformSupport

boolean pdumodel::Inlet::MetaData::hasWaveformSupport

Whether waveform reading is supported on this inlet.

Definition at line 30 of file Inlet.idl.

## isDC

boolean pdumodel::Inlet::MetaData::isDC

Current type, `true` for DC, `false` for AC.

Definition at line 31 of file Inlet.idl.

## label

string pdumodel::Inlet::MetaData::label

Inlet label

Definition at line 26 of file Inlet.idl.

## namePlate

Nameplate pdumodel::Inlet::MetaData::namePlate

Nameplate information

Definition at line 28 of file Inlet.idl.

## plugType

string pdumodel::Inlet::MetaData::plugType

Plug type.

Definition at line 27 of file Inlet.idl.

## rating

Rating pdumodel::Inlet::MetaData::rating

Numerical usage ratings.

Definition at line 29 of file Inlet.idl.

The documentation for this struct was generated from the following file:

- Inlet.idl